Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.impl.common
Class JoinNotificationSignalImpl

    java.lang.Object
      com.sun.enterprise.ee.cms.impl.common.JoinNotificationSignalImpl

All Implemented Interfaces:
  GroupStartupNotificationSignal, JoinNotificationSignal, Signal

    public class JoinNotificationSignalImpl

extends Object
implements JoinNotificationSignal

Implementation of JoinNotificationSignal

Version:
  $Revision: 1.7 $
Author:
  Shreedhar Ganapathy Date: Feb 22, 2005

Field Summary
`protected static Logger` | `logger`

Constructor Summary
`JoinNotificationSignalImpl(String memberToken, List<String> currentCoreMembers, List<String> allCurrentMembers, String groupName, long startTime)`

Method Summary
`void` | `acquire()` Signal is acquired prior to processing of the signal to protect group resources being acquired from being affected by a race condition
`List<String>` | `getAllCurrentMembers()` provides a list of all live members i.e.
`List<String>` | `getCurrentCoreMembers()` provides a list of all live and current CORE designated members.
`GMSConstants.startupType` | `getEventSubType()` Denote whether Joining member is joining group as part of an entire group startup or not.
`String` | `getGroupName()` returns the group to which the member involved in the Signal belonged to
`Map<Serializable,Serializable>` | `getMemberDetails()` returns the details of the member who caused this Signal to be generated returns a Map containing key-value pairs constituting data pertaining to the member's details
`MemberStates` | `getMemberState()` Provides the current liveness state of the member whose joining the group is being signalled by this JoinNotification Signal.
`String` | `getMemberToken()` returns the identity token of the member that caused this signal to be generated.
`long` | `getStartTime()` returns the start time of the member involved in this Signal.
`void` | `release()` Signal is released after processing of the signal to bring the group resources to a state of availability

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Logger logger

Constructor Detail

### JoinNotificationSignalImpl

    public JoinNotificationSignalImpl(String memberToken,
                                      List<String> currentCoreMembers,
                                      List<String> allCurrentMembers,
                                      String groupName,
                                      long startTime)

Method Detail

### acquire

    public void acquire()
                 throws SignalAcquireException

  Signal is acquired prior to processing of the signal to protect group resources being acquired from being affected by a race condition

  Specified by:
    `acquire` in interface `Signal`
  Throws:
    `SignalAcquireException`

### release

    public void release()
                 throws SignalReleaseException

  Signal is released after processing of the signal to bring the group resources to a state of availability

  Specified by:
    `release` in interface `Signal`
  Throws:
    `SignalReleaseException`

### getMemberToken

    public String getMemberToken()

  returns the identity token of the member that caused this signal to be generated. For instance, in the case of a MessageSignal, this member token would be the sender. In the case of a FailureNotificationSignal, this member token would be the failed member. In the case of a JoinNotificationSignal or PlannedShutdownSignal, the member token would be the member who joined or is being gracefully shutdown, respectively.

  Specified by:
    `getMemberToken` in interface `Signal`
  Returns:
    returns the identity token of the member

### getCurrentCoreMembers

    public List<String> getCurrentCoreMembers()

  Description copied from interface: `JoinNotificationSignal`
  provides a list of all live and current CORE designated members.

  Specified by:
    `getCurrentCoreMembers` in interface `JoinNotificationSignal`
  Returns:
    List containing the list of member token ids of core members

### getAllCurrentMembers

    public List<String> getAllCurrentMembers()

  Description copied from interface: `JoinNotificationSignal`
  provides a list of all live members i.e. CORE and SPECTATOR members.

  Specified by:
    `getAllCurrentMembers` in interface `JoinNotificationSignal`
  Returns:
    List containing the list of member token ids of all members.

### getMemberState

    public MemberStates getMemberState()

  Description copied from interface: `JoinNotificationSignal`
  Provides the current liveness state of the member whose joining the group is being signalled by this JoinNotification Signal. The state corresponds to one of the states enumerated by the MemberStates enum

  Specified by:
    `getMemberState` in interface `JoinNotificationSignal`
  Returns:
    MemberStates

### getMemberDetails

    public Map<Serializable,Serializable> getMemberDetails()

  returns the details of the member who caused this Signal to be generated returns a Map containing key-value pairs constituting data pertaining to the member's details

  Specified by:
    `getMemberDetails` in interface `Signal`
  Returns:
    Map

### getGroupName

    public String getGroupName()

  returns the group to which the member involved in the Signal belonged to

  Specified by:
    `getGroupName` in interface `Signal`
  Returns:
    String

### getStartTime

    public long getStartTime()

  Description copied from interface: `Signal`
  returns the start time of the member involved in this Signal.

  Specified by:
    `getStartTime` in interface `Signal`
  Returns:
    long - time stamp of when this member started

### getEventSubType

    public GMSConstants.startupType getEventSubType()

  Description copied from interface: `GroupStartupNotificationSignal`
  Denote whether Joining member is joining group as part of an entire group startup or not.

  Handlers of Join and JoinAndReady notifications may use this information to optimize their handlers to perform differently based on whether all members of group are being started at same time or whether a instance is just joining an already running group.

  Specified by:
    `getEventSubType` in interface `GroupStartupNotificationSignal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.